For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`Endpoint.Stats` + `Get` <span className="permission-callout__also">[+1 endpoint](/developers/api-guidelines/permission-endpoints#permission-endpoint-stats-get "This permission also grants 1 other endpoint")</span>
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div>
</Info>
Returns daily usage statistics for a specific endpoint, including cellular data and SMS volumes.
By default, returns statistics for the current month.
Use `start_date` and `end_date` query parameters to specify a custom date range.
<Note>
Historical data is available for up to **13 months**.
</Note>
<Warning>
Data traffic cost statistics (`cost` field in the `data` object) have been deprecated.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
Filters by start date, provided in a `YYYY-MM-DD` format.
<Info>
If you don't define an end date, the response will include 6 months of data, beginning on the current date.
</Info>
end_datestringOptionalformat: "date"
Filters by end date, provided in an `YYYY-MM-DD` format.
<Info>
If you don't define a start date, the response will only return data from the month indicated in your end date.
</Info>
Response
Successfully returned the daily endpoint statistics.
Each day's entry contains:
- `date`: The date in YYYY-MM-DD format
- `data`: Cellular data usage (volume in MB)
- `sms`: SMS usage (volume as message count)
- `sat_geo_data`: Satellite data usage, if applicable
- `sat_geo_sms`: Satellite SMS usage, if applicable
Volume fields include `volume` (total), `volume_tx` (transmitted), and `volume_rx` (received).
datestringOptionalformat: "date"
The date for this statistics entry (YYYY-MM-DD format).
dataobjectOptional
Cellular data usage for this day.
smsobjectOptional
SMS usage for this day.
sat_geo_dataobjectOptional
Satellite data usage for this day (if applicable).